SystemOrganization addCategory: #'TADP-TP1'!

Trait named: #Computadora
	uses: {}
	category: 'TADP-TP1'!

!Computadora methodsFor: 'as yet unclassified' stamp: 'sebi 4/16/2013 14:23'!
aptoVideoJuegos
 self requirement! !

!Computadora methodsFor: 'as yet unclassified' stamp: 'sebi 4/16/2013 14:23'!
consumo
 self requirement! !

Trait named: #ConsumidorEntrada
	uses: {}
	category: 'TADP-TP1'!

Trait named: #AumentaConFactor
	uses: ConsumidorEntrada
	category: 'TADP-TP1'!

AumentaConFactor classTrait
	uses: ConsumidorEntrada classTrait!

Trait named: #AudioVideo
	uses: AumentaConFactor
	category: 'TADP-TP1'!

AudioVideo classTrait
	uses: AumentaConFactor classTrait!

!AudioVideo methodsFor: 'as yet unclassified' stamp: 'sebi 4/16/2013 14:22'!
definicion 
 ^480! !

!AudioVideo methodsFor: 'as yet unclassified' stamp: 'sebi 4/16/2013 14:23'!
factorAumento
 ^1.1! !

!AudioVideo methodsFor: 'as yet unclassified' stamp: 'sebi 4/16/2013 14:23'!
tasaRefresco
 ^50! !

!AumentaConFactor methodsFor: 'as yet unclassified' stamp: 'sebi 4/16/2013 14:22'!
consumo
 ^(self consumoTecnologia * self factorAumento).! !

!AumentaConFactor methodsFor: 'as yet unclassified' stamp: 'sebi 4/16/2013 14:22'!
factorAumento
 self requirement! !

!ConsumidorEntrada methodsFor: 'as yet unclassified' stamp: 'sebi 4/16/2013 14:20'!
consumo
 self requirement! !

!ConsumidorEntrada methodsFor: 'as yet unclassified' stamp: 'sebi 4/16/2013 14:20'!
definicion 
 self requirement! !

!ConsumidorEntrada methodsFor: 'as yet unclassified' stamp: 'sebi 4/16/2013 14:21'!
tasaRefresco
 self requirement! !

Trait named: #ConsumidorTecnologia
	uses: {}
	category: 'TADP-TP1'!

!ConsumidorTecnologia methodsFor: 'as yet unclassified' stamp: 'sebi 4/16/2013 14:21'!
consumo
 ^self wattsHora * self tamanio! !

!ConsumidorTecnologia methodsFor: 'as yet unclassified' stamp: 'sebi 4/16/2013 14:21'!
definicionMaxima
 self requirement! !

!ConsumidorTecnologia methodsFor: 'as yet unclassified' stamp: 'sebi 4/16/2013 14:21'!
wattsHora
 self requirement! !

Trait named: #DiscoRigidoMagnetico
	uses: {}
	category: 'TADP-TP1'!

!DiscoRigidoMagnetico methodsFor: 'as yet unclassified' stamp: 'sebi 4/16/2013 14:25'!
consumo
 ^(self rpm)*60/10000! !

!DiscoRigidoMagnetico methodsFor: 'as yet unclassified' stamp: 'sebi 4/16/2013 14:25'!
rpm
 self requirement! !

!DiscoRigidoMagnetico methodsFor: 'as yet unclassified' stamp: 'sebi 4/16/2013 14:25'!
rpm: unValor
 self requirement! !

Trait named: #DiscoRigidoSSD
	uses: {}
	category: 'TADP-TP1'!

!DiscoRigidoSSD methodsFor: 'as yet unclassified' stamp: 'sebi 4/16/2013 14:25'!
consumo
 self requirement! !

!DiscoRigidoSSD methodsFor: 'as yet unclassified' stamp: 'sebi 4/16/2013 14:25'!
consumo: unValor
 self requirement! !

Trait named: #HDMI
	uses: AumentaConFactor
	category: 'TADP-TP1'!

HDMI classTrait
	uses: AumentaConFactor classTrait!

!HDMI methodsFor: 'as yet unclassified' stamp: 'sebi 4/16/2013 14:25'!
definicion: unValor
 self requirement! !

!HDMI methodsFor: 'as yet unclassified' stamp: 'sebi 4/16/2013 14:25'!
factorAumento
 ^1.2! !

!HDMI methodsFor: 'as yet unclassified' stamp: 'sebi 4/16/2013 14:26'!
tasaRefresco: unValor
 self requirement! !

Trait named: #Pantalla
	uses: {}
	category: 'TADP-TP1'!

Trait named: #MonitorPC
	uses: Pantalla
	category: 'TADP-TP1'!

MonitorPC classTrait
	uses: Pantalla classTrait!

!MonitorPC methodsFor: 'as yet unclassified' stamp: 'sebi 4/16/2013 14:29'!
tasaRefrescoMaxima
 ^120! !

!MonitorPC methodsFor: 'as yet unclassified' stamp: 'sebi 4/16/2013 14:29'!
tasaRefrescoReal
 ^self tasaRefrescoMaxima min: (self tasaRefresco).! !

!Pantalla methodsFor: 'as yet unclassified' stamp: 'sebi 4/16/2013 14:27'!
aptoVideoJuegos
 ^(self tasaRefrescoReal > 100)! !

!Pantalla methodsFor: 'as yet unclassified' stamp: 'sebi 4/16/2013 14:27'!
esCompatibleConCable
 ^(self definicionMaxima >= self definicion)! !

!Pantalla methodsFor: 'as yet unclassified' stamp: 'sebi 4/16/2013 14:27'!
resolucionPantallaAlto
 self requirement! !

!Pantalla methodsFor: 'as yet unclassified' stamp: 'sebi 4/16/2013 14:27'!
resolucionPantallaAlto: unValor
 self requirement! !

!Pantalla methodsFor: 'as yet unclassified' stamp: 'sebi 4/16/2013 14:27'!
resolucionPantallaAncho
 self requirement! !

!Pantalla methodsFor: 'as yet unclassified' stamp: 'sebi 4/16/2013 14:27'!
resolucionPantallaAncho: unValor
 self requirement! !

!Pantalla methodsFor: 'as yet unclassified' stamp: 'sebi 4/16/2013 14:27'!
tamanio
 self requirement! !

!Pantalla methodsFor: 'as yet unclassified' stamp: 'sebi 4/16/2013 14:27'!
tamanio: unValor
 self requirement! !

!Pantalla methodsFor: 'as yet unclassified' stamp: 'sebi 4/16/2013 14:28'!
tasaRefrescoMaxima
 self requirement! !

!Pantalla methodsFor: 'as yet unclassified' stamp: 'sebi 4/16/2013 14:28'!
tasaRefrescoReal
 ^self tasaRefrescoMaxima min: (self tasaRefresco).! !

Trait named: #PlacaVideo
	uses: {}
	category: 'TADP-TP1'!

Trait named: #PlacaVideoDedicada
	uses: PlacaVideo
	category: 'TADP-TP1'!

PlacaVideoDedicada classTrait
	uses: PlacaVideo classTrait!

Trait named: #PlacaVideoConGPU
	uses: PlacaVideoDedicada
	category: 'TADP-TP1'!

PlacaVideoConGPU classTrait
	uses: PlacaVideoDedicada classTrait!

Trait named: #PlacaVideoIntegrada
	uses: PlacaVideo
	category: 'TADP-TP1'!

PlacaVideoIntegrada classTrait
	uses: PlacaVideo classTrait!

Trait named: #PlacaVideoSinGPU
	uses: PlacaVideoDedicada
	category: 'TADP-TP1'!

PlacaVideoSinGPU classTrait
	uses: PlacaVideoDedicada classTrait!

Trait named: #RF
	uses: AumentaConFactor
	category: 'TADP-TP1'!

RF classTrait
	uses: AumentaConFactor classTrait!

Trait named: #TV
	uses: Pantalla
	category: 'TADP-TP1'!

TV classTrait
	uses: Pantalla classTrait!

Trait named: #SmartTV
	uses: TV @ {#tasaRefrescoMaximaTV->#tasaRefrescoMaxima}
	category: 'TADP-TP1'!

SmartTV classTrait
	uses: TV classTrait!

Trait named: #TecnologiaAnalogica
	uses: ConsumidorTecnologia
	category: 'TADP-TP1'!

TecnologiaAnalogica classTrait
	uses: ConsumidorTecnologia classTrait!

Trait named: #CRT
	uses: TecnologiaAnalogica
	category: 'TADP-TP1'!

CRT classTrait
	uses: TecnologiaAnalogica classTrait!

!CRT methodsFor: 'as yet unclassified' stamp: 'sebi 4/16/2013 14:25'!
wattsHora
 ^5! !

!TecnologiaAnalogica methodsFor: 'as yet unclassified' stamp: 'sebi 4/16/2013 14:23'!
definicionMaxima
 ^480! !

Trait named: #TecnologiaDigital
	uses: ConsumidorTecnologia
	category: 'TADP-TP1'!

TecnologiaDigital classTrait
	uses: ConsumidorTecnologia classTrait!

Trait named: #LCD
	uses: TecnologiaDigital
	category: 'TADP-TP1'!

LCD classTrait
	uses: TecnologiaDigital classTrait!

!LCD methodsFor: 'as yet unclassified' stamp: 'sebi 4/16/2013 14:26'!
wattsHora
 ^4! !

Trait named: #LED
	uses: TecnologiaDigital
	category: 'TADP-TP1'!

LED classTrait
	uses: TecnologiaDigital classTrait!

!LED methodsFor: 'as yet unclassified' stamp: 'sebi 4/16/2013 14:26'!
wattsHora
 ^1! !

!TecnologiaDigital methodsFor: 'as yet unclassified' stamp: 'sebi 4/16/2013 14:24'!
definicionMaxima
 ^(self ppp)*(((self tamanio) * (self tamanio) / 2) sqrt).! !

!TecnologiaDigital methodsFor: 'as yet unclassified' stamp: 'sebi 4/16/2013 14:24'!
ppp
 self requirement! !

!TecnologiaDigital methodsFor: 'as yet unclassified' stamp: 'sebi 4/16/2013 14:24'!
ppp: unValor
 self requirement! !

Trait named: #VGA
	uses: ConsumidorEntrada
	category: 'TADP-TP1'!

VGA classTrait
	uses: ConsumidorEntrada classTrait!
